package com.jscape.inet.ssh.protocol.v2.marshaling.keys;

/**
 * @author Alex Usun
 */
public class Signers {

    public static ComponentSigner init(ComponentSigner signer, Object provider) {
        signer.set(new ComponentSigner.Entry("RSA", new JceRsaSigner(provider)));
        signer.set(new ComponentSigner.Entry("DSA", new JceDsaSigner(provider)));
        signer.set(new ComponentSigner.Entry("EC", new JceEcSigner(provider)));
        signer.set(new ComponentSigner.Entry("ECDSA", new JceEcSigner(provider)));

        return signer;
    }

    private Signers() {
        // empty
    }
}
